/****************************************************************************/
/*  Copyright (c) Compaq Computer Corporation, 1999                         */
/*                                                                          */
/*  All Rights Reserved.  Unpublished rights reserved under the  copyright  */
/*  laws of the United States.                                              */
/*                                                                          */
/*  The software contained on this media is proprietary  to  and  embodies  */
/*  the   confidential   technology   of  Compaq Computer  Corporation.     */
/*  Possession, use, duplication or  dissemination  of  the  software  and  */
/*  media  is  authorized  only  pursuant  to a valid written license from  */
/*  Compaq Computer Corporation.                                            */
/****************************************************************************/


#include <jni.h>

JNIEXPORT void robotcontroller_registerNatives(JNIEnv *jnienv)
{
   robotcontroller_Controller_registerNatives(jnienv);
   if ((*jnienv)->ExceptionOccurred(jnienv)) {
      return;
   }
   robotcontroller_LCD_registerNatives(jnienv);
   if ((*jnienv)->ExceptionOccurred(jnienv)) {
      return;
   }
   robotcontroller_Motor_registerNatives(jnienv);
   if ((*jnienv)->ExceptionOccurred(jnienv)) {
      return;
   }
}
