/****************************************************************************/
/*  Copyright (c) Compaq Computer Corporation, 1999                         */
/*                                                                          */
/*  All Rights Reserved.  Unpublished rights reserved under the  copyright  */
/*  laws of the United States.                                              */
/*                                                                          */
/*  The software contained on this media is proprietary  to  and  embodies  */
/*  the   confidential   technology   of  Compaq Computer  Corporation.     */
/*  Possession, use, duplication or  dissemination  of  the  software  and  */
/*  media  is  authorized  only  pursuant  to a valid written license from  */
/*  Compaq Computer Corporation.                                            */
/****************************************************************************/

package robotcontroller;

/**
 * The interface implemented by Alarm
 */
public interface AlarmListener {
    /**
     * Returns the millisecond time deadline of this alarm.
     */
    public long getDeadline();

    /**
     * This method is called when the alarm goes off.
     *
     * The user's alarm object should override this method.
     */
    public void timesup() throws ControllerException;

};
