//////////////////////////////////////////////////////////////////////////////
//  Copyright (c) Compaq Computer Corporation, 1999                         //
//                                                                          //
//  All Rights Reserved.  Unpublished rights reserved under the  copyright  //
//  laws of the United States.                                              //
//                                                                          //
//  The software contained on this media is proprietary  to  and  embodies  //
//  the   confidential   technology   of  Compaq Computer  Corporation.     //
//  Possession, use, duplication or  dissemination  of  the  software  and  //
//  media  is  authorized  only  pursuant  to a valid written license from  //
//  Compaq Computer Corporation.                                            //
//////////////////////////////////////////////////////////////////////////////

import java.lang.*;
import java.io.*;
import robotcontroller.*;

public class test {
    public static void main(String argv[]) {
        System.out.println("test::main");
        try {
           LCD lcd = new LCD();
           lcd.clear();
           lcd.setCursor(0, 0);
           lcd.writeString("rev up...");
           lcd.setCursor(1, 0);
           lcd.writeString("  with RoboJava!!!");

           Motor motors[] = new Motor[20];
           for (int i = 0; i < 20; i++) {
              motors[i] = new Motor(i);
              motors[i].setSpeed(10*i);
           }

        } catch (ControllerException rse) {
           System.err.println("Got RoboSKiffException: " + rse.toString());
           rse.printStackTrace(System.err);
           Runtime.getRuntime().exit(22);
        }
    };
};
